Name:		awesome
Version:	4.3
Release:	%mkrel 4
Summary:	Highly configurable, framework window manager for X. Fast, light and extensible
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://awesomewm.org/
Source0:	https://github.com/awesomeWM/awesome-releases/raw/master/%{name}-%{version}.tar.xz
Patch0:		awesome-3.5.2-link.patch

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-xcb)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.10
BuildRequires:	pkgconfig(libxdg-basedir) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb) >= 1.6
BuildRequires:	pkgconfig(xcb-cursor)
BuildRequires:	pkgconfig(xcb-icccm) >= 0.3.8
BuildRequires:	pkgconfig(xcb-keysyms) >= 0.3.4
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xcb-shape)
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8
BuildRequires:	pkgconfig(xcb-xinerama)
BuildRequires:	pkgconfig(xcb-xrm)
BuildRequires:	pkgconfig(xcb-xtest)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xproto) >= 7.0.15
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	gettext-devel
# shlomif: please keep it lua5.3-devel instead of pkgconfig
# or else there will be a lua build problem.
BuildRequires:	lua5.3-devel
BuildRequires:	lua5.3
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	ruby-asciidoctor
BuildRequires:	xmlto-notex
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires:	lua-lgi >= 0.7.0
#FIXME: why does the export not work :/
BuildRequires:	typelib(Pango)

Requires:	lua-lgi >= 0.7.0
Requires:	typelib(Pango)
Requires:	typelib(cairo)
Requires:	xterm
# (eatdirt) default editor for editing configuration
Requires:	nano
# for wallpaper setting handling
Requires:	feh
# widgets
Recommends:	awesome-plugin-vicious
# to test a new config without screwing the main one
Recommends:	x11-server-xephyr

%description
Awesome is a highly configurable, next generation framework window
manager for X. It is very fast, light and extensible.

It is primarily targeted at power users, developers and any people
dealing with every day computing tasks and want to have fine-grained
control on its graphical environment.


%prep
%setup -q
%autopatch -p1

%build
# short-term fix for FTBFS with GCC10
%define _legacy_common_support 1
%cmake \
	-DXDG_CONFIG_DIR=%{_sysconfdir}/xdg
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --all-name

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/19awesome.desktop ]; then
	rm -rf %{_datadir}/xsessions/19awesome.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/19awesome.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/19awesome.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/%{name}/rc.lua
%{_datadir}/xsessions/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/themes/*
%{_docdir}/%{name}/{*.md,LICENSE}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-client.1.*
%{_mandir}/man5/awesomerc.5.*


%changelog
* Tue Oct 27 2020 akien <akien> 4.3-4.mga8
+ Revision: 1639742
- Remove (unused?) luadoc BR
+ ovitters <ovitters>
- fix usage of  in posttrans

* Mon Jun 29 2020 joequant <joequant> 4.3-3.mga8
+ Revision: 1600474
- gcc10 fix

* Fri Feb 14 2020 umeabot <umeabot> 4.3-2.mga8
+ Revision: 1522595
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Jan 28 2019 shlomif <shlomif> 4.3-1.mga7
+ Revision: 1361600
- Add BRs
- Add BRs
- add BRs
- New version 4.3

* Wed Nov 28 2018 umeabot <umeabot> 4.2-5.mga7
+ Revision: 1336533
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed Feb 14 2018 shlomif <shlomif> 4.2-2.mga7
+ Revision: 1201088
- fix build

* Mon Jul 17 2017 shlomif <shlomif> 4.2-1.mga7
+ Revision: 1123904
- add missing dep on xkbcommon
- New version 4.2

* Fri Feb 24 2017 wally <wally> 3.5.9-3.mga6
+ Revision: 1087715
- drop obsolete wmsession.d files
- remove generated xsessions .desktop file leftovers on update

* Wed Sep 28 2016 eatdirt <eatdirt> 3.5.9-2.mga6
+ Revision: 1057455
- Reinstall desktop files for sddm

* Mon Mar 07 2016 daviddavid <daviddavid> 3.5.9-1.mga6
+ Revision: 987208
- new version: 3.5.9

* Mon Feb 01 2016 daviddavid <daviddavid> 3.5.8-1.mga6
+ Revision: 930491
- new version: 3.5.8

* Wed Jan 27 2016 daviddavid <daviddavid> 3.5.7-1.mga6
+ Revision: 928038
- new version: 3.5.7

* Thu Sep 17 2015 daviddavid <daviddavid> 3.5.6-2.mga6
+ Revision: 880031
- update doc file list (fix build with new rpm 4.13.0)

* Sun Jul 26 2015 daviddavid <daviddavid> 3.5.6-1.mga6
+ Revision: 857972
- new version: 3.5.6

* Wed Oct 15 2014 umeabot <umeabot> 3.5.5-3.mga5
+ Revision: 749095
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.5-2.mga5
+ Revision: 678081
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Tue Jul 01 2014 pterjan <pterjan> 3.5.5-1.mga5
+ Revision: 641939
- 3.5.5

* Sat Apr 05 2014 shikamaru <shikamaru> 3.5.4-1.mga5
+ Revision: 612156
- new version 3.5.4

* Sun Mar 30 2014 shikamaru <shikamaru> 3.5.3-1.mga5
+ Revision: 610393
- remove unneeded BRs
- new version 3.5.3

* Tue Oct 22 2013 umeabot <umeabot> 3.5.2-2.mga4
+ Revision: 541516
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 fwang <fwang> 3.5.2-1.mga4
+ Revision: 496124
- br imagemagick
- new version 3.5.2

* Sun Jul 07 2013 shikamaru <shikamaru> 3.5.1-2.mga4
+ Revision: 450843
- fix Requires, awesome won't start without gobject-introspection for cairo and pango (lua-lgi needs it)

* Wed Jun 26 2013 fwang <fwang> 3.5.1-1.mga4
+ Revision: 446796
- new version 3.5.1

* Sun Apr 07 2013 luigiwalser <luigiwalser> 3.5-2.mga3
+ Revision: 408802
- rebuild to really fix mga#9055

* Mon Mar 18 2013 shikamaru <shikamaru> 3.5-1.mga3
+ Revision: 403962
- oops, fix rel
- bump to 3.5-1

* Sun Mar 17 2013 lmenut <lmenut> 3.5-0.rc2.3.mga3
+ Revision: 403596
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 11 2013 umeabot <umeabot> 3.5-0.rc2.2.mga3
+ Revision: 346711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 shikamaru <shikamaru> 3.5-0.rc2.1.mga3
+ Revision: 332226
- fix lgi-check
- try again with cmake
- try to build without lua-lgi
- oh well, it's not mandatory for building it, but it will add another useful check
- new version 3.5-rc2
  require lua-lgi (it is said to be optional but default config does not
  work without it)
  minor cosmetic changes

* Sat Dec 01 2012 shikamaru <shikamaru> 3.5-0.rc1.1.mga3
+ Revision: 324151
- remove xsession file from file list as well
- add BR and restore removal of xsession file, but in buildroot this time
- update to 3.5-rc1, for lua5.2
  since lua-logging and lua-filesystem are built against it
- rediff patch
- add BR for gdk-pixbuf
- remove rm outside of buildroot (wtf?)
- fix file list
  TODO: clean spec, maybe some unneeded BRs
  TODO: port lua-sql and lua-socket to lua5.2
  TODO: add readme.update.urpmi for broken configs due to lua5.2
+ dmorgan <dmorgan>
- Rebuild against new libxcb
+ fwang <fwang>
- new version 3.4.13
- build with lua 5.1
- rebuild for new xcb-util

* Wed May 30 2012 fwang <fwang> 3.4.11-1.mga3
+ Revision: 249543
- update file list
- specify xdg dir
- real fix for find_lang
- fix find_lang
- add correct br
- fix build with latest glib
- fix linkage
- new version 2.4.11
- rebuild for new cairo
+ kamil <kamil>
- stop installing xsession file (mga#3652)
- clean .spec a bit

* Sat Jul 16 2011 fwang <fwang> 3.4.10-2.mga2
+ Revision: 124760
- rebuild for new libev

* Wed Jul 06 2011 ahmad <ahmad> 3.4.10-1.mga2
+ Revision: 119385
- Update to 3.4.10
- Drop patch0, fixed upstream
- Add a patch from upstream to fix the build with xcb-util-0.3.8
+ fwang <fwang>
- br xcb-util-wm
- rebuild for new xcb-util

* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-2.mga1
+ Revision: 74899
- add cairo-xcb in requires
- suggest xephyr and vicious

* Sun Mar 20 2011 shikamaru <shikamaru> 3.4.9-1.mga1
+ Revision: 74665
- Add patch for cmake
- add pixman-devel in BR
- use docbook-dtds
- Add cairo-xcb-devel instead of cairo-devel
- one buildrequires per line
- imported package awesome

